Bug 64547 - HPT372: Oops on cat /proc/hpt366
HPT372: Oops on cat /proc/hpt366
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-07 16:32 EDT by Jason Tibbitts
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 20:09:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvxxx output (13.40 KB, text/plain)
2002-05-07 16:33 EDT, Jason Tibbitts
no flags Details
ksymoops output (2.81 KB, text/plain)
2002-05-07 16:33 EDT, Jason Tibbitts
no flags Details

  None (edit)
Description Jason Tibbitts 2002-05-07 16:32:32 EDT
On an Abit KR7A-133R motherboard with onboard HPT372 Ultra-133 controller,
running absolutely stock Red Hat 7.3 (kernel 2.4.18-3.athlon), typing cat
/proc/hpt366 results in an segfault and an oops in hpt366_get_info:

Trace; c01334b5 <__alloc_pages+75/300>
Trace; c0158c15 <proc_file_read+a5/1c0>
Trace; c013a486 <sys_read+96/100>
Trace; c0128435 <sys_brk+c5/100>
Trace; c0108913 <system_call+33/38>
Code;  c019d135 <hpt366_get_info+15/170>
00000000 <_EIP>:
Code;  c019d135 <hpt366_get_info+15/170>   <=====
   0:   8b b0 d0 00 00 00         mov    0xd0(%eax),%esi   <=====
Code;  c019d13b <hpt366_get_info+1b/170>
   6:   8d 44 24 20               lea    0x20(%esp,1),%eax
Code;  c019d13f <hpt366_get_info+1f/170>
   a:   8b 9a d0 00 00 00         mov    0xd0(%edx),%ebx
Code;  c019d145 <hpt366_get_info+25/170>
  10:   c7 44 24 24 00 00 00      movl   $0x0,0x24(%esp,1)
Code;  c019d14c <hpt366_get_info+2c/170>
  17:   003

Full decoded oops and lspci output will be attached.  dmesg says:

HPT372: IDE controller on PCI bus 00 dev 98
HPT372: chipset revision 5
HPT372: not 100% native mode: will probe irqs later
HPT37X: using 33MHz PCI clock
    ide2: BM-DMA at 0xc000-0xc007, BIOS settings: hde:DMA, hdf:pio
    ide3: BM-DMA at 0xc008-0xc00f, BIOS settings: hdg:DMA, hdh:pio

hde: WDC WD400BB-53CLB0, ATA DISK drive
hdg: WDC WD400BB-53CLB0, ATA DISK drive

ide2 at 0xb000-0xb007,0xb402 on irq 10
ide3 at 0xb800-0xb807,0xbc02 on irq 10

hde: 78165360 sectors (40021 MB) w/2048KiB Cache, CHS=77545/16/63, UDMA(100)
hdg: 78165360 sectors (40021 MB) w/2048KiB Cache, CHS=77545/16/63, UDMA(100)
Comment 1 Jason Tibbitts 2002-05-07 16:33:13 EDT
Created attachment 56564 [details]
lspci -vvxxx output
Comment 2 Jason Tibbitts 2002-05-07 16:33:55 EDT
Created attachment 56565 [details]
ksymoops output
Comment 3 Arjan van de Ven 2002-05-21 04:37:01 EDT
ok cause found (sigh); fixed for the next build

Note You need to log in before you can comment on or make changes to this bug.